Summary:	Berkeley Internet Name Domain (BIND) libbind resolver library
Name:		bind-libbind
Version:	9.3.5
Release:	2%{?dist}
License:	ISC
Group:		System Environment/Libraries
URL:		http://www.isc.org/products/BIND/
Source0:	ftp://ftp.isc.org/isc/bind9/%{version}/bind-%{version}.tar.gz
Source1:	bind-9.3.3-libbind-man.tar.gz
Source2:	bind-9.3.5-libbind.pc
Patch0:		bind-9.2.4rc6-nonexec.patch
Patch1:		bind-9.3.1rc1-fix_libbind_includedir.patch
BuildRequires:	libtool, autoconf, pkgconfig
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The bind-libbind package contains the libbind resolver library, which
is compatible with that from ISC BIND (Berkeley Internet Name Domain)
8, to provide routines for applications when they are interfacing with
DNS.

%package	devel
Summary:	Header files and libraries needed for BIND resolver development
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}, pkgconfig

%description devel
The bind-libbind-devel package contains the libbind resolver library,
compatible with that from ISC BIND 8 and the /usr/include/bind include
files necessary to develop software that uses it.

%prep
%setup -q -n bind-%{version}
%patch0 -p1 -b .nonexec
%patch1 -p1 -b .fix_libbind_includedir

%build
pushd lib/bind
libtoolize --copy --force; aclocal; autoconf
cp -f /usr/share/libtool/config.{guess,sub} .

%configure --with-libtool --enable-threads --enable-ipv6 --with-pic CFLAGS="$RPM_OPT_FLAGS"
make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT

pushd lib/bind
make DESTDIR=$RPM_BUILD_ROOT install
popd

# Install the additional sources
mkdir -p $RPM_BUILD_ROOT{%{_libdir}/pkgconfig,%{_mandir}}
gunzip < %{SOURCE1} | (cd $RPM_BUILD_ROOT%{_datadir}; tar -xpf -)
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_libdir}/pkgconfig/libbind.pc

# Don't install any static .a and libtool .la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.{a,la}

%files
%defattr(-,root,root)
%doc COPYRIGHT
%{_libdir}/libbind.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/libbind.so
%{_libdir}/pkgconfig/libbind.pc
%{_includedir}/bind
%{_mandir}/man?/libbind-*

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Thu May 01 2008 Robert Scheck <robert@fedoraproject.org> 9.3.5-2
- Some spec file cleanup (#442009 #c3)

* Wed Apr 16 2008 Robert Scheck <robert@fedoraproject.org> 9.3.5-1
- Upgrade to 9.3.5 (#442009 #c1)

* Fri Apr 11 2008 Robert Scheck <robert@fedoraproject.org> 9.3.3-1
- Upgrade to 9.3.3
- Initial spec file only for Red Hat Enterprise Linux 4
